# BACKUP REPLACE FILE

#
# Copyright (C) 2022 The LineageOS Project
#
# SPDX-License-Identifier: Apache-2.0
#

from twrpdtgen_v2.proprietary_files.section import Section, register_section

class AdspSection(Section):
	name = "ADSP"
	interfaces = [
		"vendor.qti.adsprpc",
	]
	binaries = [
		"adsprpcd",
	]
	libraries = [
		"libadsprpc",
		"libadsp_default_listener",
	]

class AdspModulesSection(Section):
	name = "ADSP modules"
	folders = [
		"lib/rfs/dsp",
		"lib/rfsa/adsp",
		"lib64/rfs/dsp",
		"lib64/rfsa/adsp",
	]

register_section(AdspSection)
register_section(AdspModulesSection)
